Index: /code/branches/cpp11_v2/src/modules/jump/Jump.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/jump/Jump.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/jump/Jump.cc	(revision 10916)
@@ -633,10 +633,10 @@
 
 
-        for (auto & elem : matrix)
+        for (int i = 0; i < numI; ++i)
         {
             for (int j = 0; j < numJ; ++j)
             {
-                elem[j].type = PLATFORM_EMPTY;
-                elem[j].done = false;
+                matrix[i][j].type = PLATFORM_EMPTY;
+                matrix[i][j].done = false;
             }
         }
@@ -795,5 +795,5 @@
 
         // Fill matrix with selected platform types
-        for (auto & elem : matrix)
+        for (int i = 0; i < numI; ++ i)
         {
             for (int j = 0; j < numJ; ++ j)
@@ -801,11 +801,11 @@
                 if (rand()%3 == 0)
                 {
-                    elem[j].type = platformtype1;
+                    matrix[i][j].type = platformtype1;
                 }
                 else
                 {
-                    elem[j].type = platformtype2;
+                    matrix[i][j].type = platformtype2;
                 }
-                elem[j].done = false;
+                matrix[i][j].done = false;
             }
         }
Index: /code/branches/cpp11_v2/src/modules/mini4dgame/Mini4Dgame.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/mini4dgame/Mini4Dgame.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/mini4dgame/Mini4Dgame.cc	(revision 10916)
@@ -155,11 +155,11 @@
     {
         // first spawn human players to assign always the left bat to the player in singleplayer
-        for (auto & elem : this->players_)
-            if (elem.first->isHumanPlayer() && (elem.first->isReadyToSpawn() || this->bForceSpawn_))
-                this->spawnPlayer(elem.first);
+        for (auto& mapEntry : this->players_)
+            if (mapEntry.first->isHumanPlayer() && (mapEntry.first->isReadyToSpawn() || this->bForceSpawn_))
+                this->spawnPlayer(mapEntry.first);
         // now spawn bots
-        for (auto & elem : this->players_)
-            if (!elem.first->isHumanPlayer() && (elem.first->isReadyToSpawn() || this->bForceSpawn_))
-                this->spawnPlayer(elem.first);
+        for (auto& mapEntry : this->players_)
+            if (!mapEntry.first->isHumanPlayer() && (mapEntry.first->isReadyToSpawn() || this->bForceSpawn_))
+                this->spawnPlayer(mapEntry.first);
     }
 
Index: /code/branches/cpp11_v2/src/modules/notifications/NotificationManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/notifications/NotificationManager.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/notifications/NotificationManager.cc	(revision 10916)
@@ -69,6 +69,6 @@
     {
         // Destroys all Notifications.
-        for(auto & elem : this->allNotificationsList_)
-            elem.second->destroy();
+        for(auto& mapEntry : this->allNotificationsList_)
+            mapEntry.second->destroy();
         this->allNotificationsList_.clear();
 
@@ -152,10 +152,10 @@
         bool executed = false;
         // Clear all NotificationQueues that have the input sender as target.
-        for(auto & elem : this->queues_) // Iterate through all NotificationQueues.
-        {
-            const std::set<std::string>& set = elem.second->getTargetsSet();
+        for(auto& mapEntry : this->queues_) // Iterate through all NotificationQueues.
+        {
+            const std::set<std::string>& set = mapEntry.second->getTargetsSet();
             // If either the sender is 'all', the NotificationQueue has as target all or the NotificationQueue has the input sender as a target.
             if(all || set.find(NotificationListener::ALL) != set.end() || set.find(sender) != set.end())
-                executed = elem.second->tidy() || executed;
+                executed = mapEntry.second->tidy() || executed;
         }
 
@@ -187,7 +187,7 @@
 
         // Insert the Notification in all NotificationQueues that have its sender as target.
-        for(auto & elem : this->queues_) // Iterate through all NotificationQueues.
-        {
-            const std::set<std::string>& set = elem.second->getTargetsSet();
+        for(auto& mapEntry : this->queues_) // Iterate through all NotificationQueues.
+        {
+            const std::set<std::string>& set = mapEntry.second->getTargetsSet();
             bool bAll = set.find(NotificationListener::ALL) != set.end();
             // If either the Notification has as sender 'all', the NotificationQueue displays all Notifications or the NotificationQueue has the sender of the Notification as target.
@@ -195,6 +195,6 @@
             {
                 if(!bAll)
-                    this->notificationLists_[elem.second->getName()]->insert(std::pair<std::time_t, Notification*>(time, notification)); // Insert the Notification in the notifications list of the current NotificationQueue.
-                elem.second->update(notification, time); // Update the NotificationQueue.
+                    this->notificationLists_[mapEntry.second->getName()]->insert(std::pair<std::time_t, Notification*>(time, notification)); // Insert the Notification in the notifications list of the current NotificationQueue.
+                mapEntry.second->update(notification, time); // Update the NotificationQueue.
             }
         }
@@ -345,8 +345,8 @@
 
         // Iterate through all Notifications to determine whether any of them should belong to the newly registered NotificationQueue.
-        for(auto & elem : this->allNotificationsList_)
-        {
-            if(!bAll && set.find(elem.second->getSender()) != set.end()) // Checks whether the listener has the sender of the current Notification as target.
-                map->insert(std::pair<std::time_t, Notification*>(elem.first, elem.second));
+        for(auto& mapEntry : this->allNotificationsList_)
+        {
+            if(!bAll && set.find(mapEntry.second->getSender()) != set.end()) // Checks whether the listener has the sender of the current Notification as target.
+                map->insert(std::pair<std::time_t, Notification*>(mapEntry.first, mapEntry.second));
         }
 
Index: /code/branches/cpp11_v2/src/modules/notifications/NotificationQueue.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/notifications/NotificationQueue.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/notifications/NotificationQueue.cc	(revision 10916)
@@ -206,8 +206,8 @@
         {
             // Add all Notifications that have been created after this NotificationQueue was created.
-            for(auto & notification : *notifications)
+            for(auto& mapEntry : *notifications)
             {
-                if(notification.first >= this->creationTime_)
-                    this->push(notification.second, notification.first);
+                if(mapEntry.first >= this->creationTime_)
+                    this->push(mapEntry.second, mapEntry.first);
             }
         }
@@ -336,6 +336,6 @@
         this->ordering_.clear();
         // Delete all NotificationContainers in the list.
-        for(auto & elem : this->notifications_)
-            delete elem;
+        for(NotificationContainer* notification : this->notifications_)
+            delete notification;
 
         this->notifications_.clear();
@@ -426,5 +426,5 @@
         bool first = true;
         // Iterate through the set of targets.
-        for(const auto & elem : this->targets_)
+        for(const std::string& target : this->targets_)
         {
             if(!first)
@@ -432,5 +432,5 @@
             else
                 first = false;
-            stream << elem;
+            stream << target;
         }
 
Index: /code/branches/cpp11_v2/src/modules/objects/Attacher.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/objects/Attacher.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/objects/Attacher.cc	(revision 10916)
@@ -61,6 +61,6 @@
         SUPER(Attacher, changedActivity);
 
-        for (auto & elem : this->objects_)
-            (elem)->setActive(this->isActive());
+        for (WorldEntity* object : this->objects_)
+            object->setActive(this->isActive());
     }
 
@@ -69,6 +69,6 @@
         SUPER(Attacher, changedVisibility);
 
-        for (auto & elem : this->objects_)
-            (elem)->setVisible(this->isVisible());
+        for (WorldEntity* object : this->objects_)
+            object->setVisible(this->isVisible());
     }
 
@@ -83,8 +83,8 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->objects_)
+        for (WorldEntity* object : this->objects_)
         {
             if (i == index)
-                return (elem);
+                return object;
 
             ++i;
Index: /code/branches/cpp11_v2/src/modules/objects/Script.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/objects/Script.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/objects/Script.cc	(revision 10916)
@@ -196,7 +196,7 @@
             {
                 const std::map<unsigned int, PlayerInfo*> clients = PlayerManager::getInstance().getClients();
-                for(const auto & client : clients)
+                for(const auto& mapEntry : clients)
                 {
-                    callStaticNetworkFunction(&Script::executeHelper, client.first, this->getCode(), this->getMode(), this->getNeedsGraphics());
+                    callStaticNetworkFunction(&Script::executeHelper, mapEntry.first, this->getCode(), this->getMode(), this->getNeedsGraphics());
                     if(this->times_ != Script::INF) // Decrement the number of remaining executions.
                     {
Index: /code/branches/cpp11_v2/src/modules/objects/SpaceBoundaries.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/objects/SpaceBoundaries.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/objects/SpaceBoundaries.cc	(revision 10916)
@@ -59,9 +59,9 @@
             this->pawnsIn_.clear();
 
-            for(auto & elem : this->billboards_)
+            for(BillboardAdministration& billboard : this->billboards_)
             {
-                if( elem.billy != nullptr)
-                {
-                    delete elem.billy;
+                if( billboard.billy != nullptr)
+                {
+                    delete billboard.billy;
                 }
             }
@@ -138,8 +138,8 @@
     void SpaceBoundaries::removeAllBillboards()
     {
-        for(auto & elem : this->billboards_)
-        {
-            elem.usedYet = false;
-            elem.billy->setVisible(false);
+        for(BillboardAdministration& billboard : this->billboards_)
+        {
+            billboard.usedYet = false;
+            billboard.billy->setVisible(false);
         }
     }
@@ -208,7 +208,6 @@
         float distance;
         bool humanItem;
-        for(auto currentPawn : pawnsIn_)
-        {
-            
+        for(Pawn* currentPawn : pawnsIn_)
+        {
             if( currentPawn && currentPawn->getNode() ) 
             {
Index: /code/branches/cpp11_v2/src/modules/objects/eventsystem/EventDispatcher.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/objects/eventsystem/EventDispatcher.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/objects/eventsystem/EventDispatcher.cc	(revision 10916)
@@ -45,6 +45,6 @@
     {
         if (this->isInitialized())
-            for (auto & elem : this->targets_)
-                (elem)->destroy();
+            for (BaseObject* target : this->targets_)
+                target->destroy();
     }
 
@@ -61,6 +61,6 @@
     void EventDispatcher::processEvent(Event& event)
     {
-        for (auto & elem : this->targets_)
-            (elem)->processEvent(event);
+        for (BaseObject* target : this->targets_)
+            target->processEvent(event);
     }
 
@@ -73,8 +73,8 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->targets_)
+        for (BaseObject* target : this->targets_)
         {
             if (i == index)
-                return (elem);
+                return target;
             ++i;
         }
Index: /code/branches/cpp11_v2/src/modules/objects/eventsystem/EventFilter.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/objects/eventsystem/EventFilter.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/objects/eventsystem/EventFilter.cc	(revision 10916)
@@ -96,8 +96,8 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->sources_)
+        for (BaseObject* source : this->sources_)
         {
             if (i == index)
-                return (elem);
+                return source;
             ++i;
         }
@@ -113,8 +113,8 @@
     {
         unsigned int i = 0;
-        for (const auto & elem : this->names_)
+        for (EventName* name : this->names_)
         {
             if (i == index)
-                return (elem);
+                return name;
             ++i;
         }
Index: /code/branches/cpp11_v2/src/modules/objects/triggers/DistanceMultiTrigger.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/objects/triggers/DistanceMultiTrigger.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/objects/triggers/DistanceMultiTrigger.cc	(revision 10916)
@@ -158,9 +158,9 @@
             {
                 
-                const std::set<WorldEntity*> attached = entity->getAttachedObjects();
+                const std::set<WorldEntity*> attachedObjects = entity->getAttachedObjects();
                 bool found = false;
-                for(const auto & elem : attached)
+                for(WorldEntity* attachedObject : attachedObjects)
                 {
-                    if((elem)->isA(ClassIdentifier<DistanceTriggerBeacon>::getIdentifier()) && static_cast<DistanceTriggerBeacon*>(elem)->getName() == this->targetName_)
+                    if(attachedObject->isA(ClassIdentifier<DistanceTriggerBeacon>::getIdentifier()) && static_cast<DistanceTriggerBeacon*>(attachedObject)->getName() == this->targetName_)
                     {
                         found = true;
Index: /code/branches/cpp11_v2/src/modules/objects/triggers/DistanceTrigger.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/objects/triggers/DistanceTrigger.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/objects/triggers/DistanceTrigger.cc	(revision 10916)
@@ -180,9 +180,9 @@
             {
 
-                const std::set<WorldEntity*> attached = entity->getAttachedObjects();
+                const std::set<WorldEntity*> attachedObjects = entity->getAttachedObjects();
                 bool found = false;
-                for(const auto & elem : attached)
+                for(WorldEntity* attachedObject : attachedObjects)
                 {
-                    if((elem)->isA(ClassIdentifier<DistanceTriggerBeacon>::getIdentifier()) && static_cast<DistanceTriggerBeacon*>(elem)->getName() == this->targetName_)
+                    if(attachedObject->isA(ClassIdentifier<DistanceTriggerBeacon>::getIdentifier()) && static_cast<DistanceTriggerBeacon*>(attachedObject)->getName() == this->targetName_)
                     {
                         found = true;
Index: /code/branches/cpp11_v2/src/modules/objects/triggers/MultiTrigger.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/objects/triggers/MultiTrigger.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/objects/triggers/MultiTrigger.cc	(revision 10916)
@@ -504,7 +504,6 @@
     bool MultiTrigger::checkAnd(BaseObject* triggerer)
     {
-        for(auto trigger : this->children_)
-        {
-            
+        for(TriggerBase* trigger : this->children_)
+        {
             if(trigger->isMultiTrigger())
             {
@@ -531,7 +530,6 @@
     bool MultiTrigger::checkOr(BaseObject* triggerer)
     {
-        for(auto trigger : this->children_)
-        {
-            
+        for(TriggerBase* trigger : this->children_)
+        {
             if(trigger->isMultiTrigger())
             {
@@ -559,7 +557,6 @@
     {
         bool triggered = false;
-        for(auto trigger : this->children_)
-        {
-            
+        for(TriggerBase* trigger : this->children_)
+        {
             if(triggered)
             {
Index: /code/branches/cpp11_v2/src/modules/objects/triggers/Trigger.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/objects/triggers/Trigger.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/objects/triggers/Trigger.cc	(revision 10916)
@@ -234,7 +234,7 @@
     {
         // Iterate over all sub-triggers.
-        for (const auto & elem : this->children_)
-        {
-            if (!(elem)->isActive())
+        for (TriggerBase* child : this->children_)
+        {
+            if (!child->isActive())
                 return false;
         }
@@ -252,7 +252,7 @@
     {
         // Iterate over all sub-triggers.
-        for (const auto & elem : this->children_)
-        {
-            if ((elem)->isActive())
+        for (TriggerBase* child : this->children_)
+        {
+            if (child->isActive())
                 return true;
         }
@@ -270,9 +270,9 @@
     {
         bool test = false;
-        for (const auto & elem : this->children_)
-        {
-            if (test && (elem)->isActive())
+        for (TriggerBase* child : this->children_)
+        {
+            if (test && child->isActive())
                 return false;
-            if ((elem)->isActive())
+            if (child->isActive())
                 test = true;
         }
Index: /code/branches/cpp11_v2/src/modules/overlays/hud/ChatOverlay.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/overlays/hud/ChatOverlay.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/overlays/hud/ChatOverlay.cc	(revision 10916)
@@ -58,6 +58,6 @@
     ChatOverlay::~ChatOverlay()
     {
-        for (const auto & elem : this->timers_)
-            delete (elem);
+        for (Timer* timer : this->timers_)
+            delete timer;
     }
 
@@ -92,7 +92,7 @@
         this->text_->setCaption("");
 
-        for (auto & elem : this->messages_)
+        for (const Ogre::DisplayString& message : this->messages_)
         {
-            this->text_->setCaption(this->text_->getCaption() + "\n" + (elem));
+            this->text_->setCaption(this->text_->getCaption() + "\n" + message);
         }
     }
Index: /code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.cc	(revision 10916)
@@ -131,8 +131,8 @@
         }
         this->fontName_ = font;
-        for (auto & elem : this->activeObjectList_)
-        {
-            if (elem.second.text_ != nullptr)
-                elem.second.text_->setFontName(this->fontName_);
+        for (auto& mapEntry : this->activeObjectList_)
+        {
+            if (mapEntry.second.text_ != nullptr)
+                mapEntry.second.text_->setFontName(this->fontName_);
         }
     }
@@ -151,8 +151,8 @@
         }
         this->textSize_ = size;
-        for (auto & elem : this->activeObjectList_)
-        {
-            if (elem.second.text_)
-                elem.second.text_->setCharHeight(size);
+        for (auto& mapEntry : this->activeObjectList_)
+        {
+            if (mapEntry.second.text_)
+                mapEntry.second.text_->setCharHeight(size);
         }
     }
@@ -186,6 +186,6 @@
         const Matrix4& camTransform = cam->getOgreCamera()->getProjectionMatrix() * cam->getOgreCamera()->getViewMatrix();
 
-        for (auto & elem : this->sortedObjectList_)
-        elem.second = (int)((elem.first->getRVWorldPosition() - HumanController::getLocalControllerSingleton()->getControllableEntity()->getWorldPosition()).length() + 0.5f);
+        for (std::pair<RadarViewable*, unsigned int>& pair : this->sortedObjectList_)
+        pair.second = (int)((pair.first->getRVWorldPosition() - HumanController::getLocalControllerSingleton()->getControllableEntity()->getWorldPosition()).length() + 0.5f);
 
         this->sortedObjectList_.sort(compareDistance);
@@ -531,16 +531,16 @@
         float yScale = this->getActualSize().y;
 
-        for (auto & elem : this->activeObjectList_)
-        {
-            if (elem.second.health_ != nullptr)
-                elem.second.health_->setDimensions(this->healthMarkerSize_ * xScale, this->healthMarkerSize_ * yScale);
-            if (elem.second.healthLevel_ != nullptr)
-                elem.second.healthLevel_->setDimensions(this->healthLevelMarkerSize_ * xScale, this->healthLevelMarkerSize_ * yScale);
-            if (elem.second.panel_ != nullptr)
-                elem.second.panel_->setDimensions(this->navMarkerSize_ * xScale, this->navMarkerSize_ * yScale);
-            if (elem.second.text_ != nullptr)
-                elem.second.text_->setCharHeight(this->textSize_ * yScale);
-            if (elem.second.target_ != nullptr)
-                elem.second.target_->setDimensions(this->aimMarkerSize_ * xScale, this->aimMarkerSize_ * yScale);
+        for (auto& mapEntry : this->activeObjectList_)
+        {
+            if (mapEntry.second.health_ != nullptr)
+                mapEntry.second.health_->setDimensions(this->healthMarkerSize_ * xScale, this->healthMarkerSize_ * yScale);
+            if (mapEntry.second.healthLevel_ != nullptr)
+                mapEntry.second.healthLevel_->setDimensions(this->healthLevelMarkerSize_ * xScale, this->healthLevelMarkerSize_ * yScale);
+            if (mapEntry.second.panel_ != nullptr)
+                mapEntry.second.panel_->setDimensions(this->navMarkerSize_ * xScale, this->navMarkerSize_ * yScale);
+            if (mapEntry.second.text_ != nullptr)
+                mapEntry.second.text_->setCharHeight(this->textSize_ * yScale);
+            if (mapEntry.second.target_ != nullptr)
+                mapEntry.second.target_->setDimensions(this->aimMarkerSize_ * xScale, this->aimMarkerSize_ * yScale);
         }
     }
@@ -670,7 +670,7 @@
     {
         const std::set<RadarViewable*>& respawnObjects = this->getOwner()->getScene()->getRadar()->getRadarObjects();
-        for (const auto & respawnObject : respawnObjects)
-        {
-            if (!(respawnObject)->isHumanShip_)
+        for (RadarViewable* respawnObject : respawnObjects)
+        {
+            if (!respawnObject->isHumanShip_)
             this->addObject(respawnObject);
         }
Index: /code/branches/cpp11_v2/src/modules/overlays/hud/HUDRadar.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/overlays/hud/HUDRadar.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/overlays/hud/HUDRadar.cc	(revision 10916)
@@ -92,7 +92,7 @@
             Ogre::OverlayManager::getSingleton().destroyOverlayElement(this->map3DBack_);
 
-            for (auto & elem : this->radarObjects_)
-            {
-                Ogre::OverlayManager::getSingleton().destroyOverlayElement(elem.second);
+            for (auto& mapEntry : this->radarObjects_)
+            {
+                Ogre::OverlayManager::getSingleton().destroyOverlayElement(mapEntry.second);
             }
         }
Index: /code/branches/cpp11_v2/src/modules/overlays/stats/Scoreboard.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/overlays/stats/Scoreboard.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/overlays/stats/Scoreboard.cc	(revision 10916)
@@ -60,6 +60,6 @@
         SUPER(Scoreboard, changedVisibility);
 
-        for (auto & elem : this->lines_)
-            elem->changedVisibility();
+        for (CreateLines* line : this->lines_)
+            line->changedVisibility();
     }
 
@@ -94,9 +94,9 @@
 
         unsigned int index = 0;
-        for (const auto & elem : playerList)
+        for (const auto& mapEntry : playerList)
         {
-            this->lines_[index]->setPlayerName(multi_cast<std::string>(elem.first->getName()));
-            this->lines_[index]->setScore(multi_cast<std::string>(elem.second.frags_));
-            this->lines_[index]->setDeaths(multi_cast<std::string>(elem.second.killed_));
+            this->lines_[index]->setPlayerName(multi_cast<std::string>(mapEntry.first->getName()));
+            this->lines_[index]->setScore(multi_cast<std::string>(mapEntry.second.frags_));
+            this->lines_[index]->setDeaths(multi_cast<std::string>(mapEntry.second.killed_));
             index++;
         }
Index: /code/branches/cpp11_v2/src/modules/pickup/PickupCollection.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/PickupCollection.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/pickup/PickupCollection.cc	(revision 10916)
@@ -68,8 +68,8 @@
     {
         // Destroy all Pickupables constructing this PickupCollection.
-        for(auto & elem : this->pickups_)
-        {
-            (elem)->wasRemovedFromCollection();
-            (elem)->destroy();
+        for(CollectiblePickup* pickup : this->pickups_)
+        {
+            pickup->wasRemovedFromCollection();
+            pickup->destroy();
         }
         this->pickups_.clear();
@@ -99,6 +99,6 @@
         this->processingUsed_ = true;
         // Change used for all Pickupables this PickupCollection consists of.
-        for(auto & elem : this->pickups_)
-            (elem)->setUsed(this->isUsed());
+        for(CollectiblePickup* pickup : this->pickups_)
+            pickup->setUsed(this->isUsed());
 
         this->processingUsed_ = false;
@@ -119,9 +119,9 @@
         size_t numPickupsEnabled = 0;
         size_t numPickupsInUse = 0;
-        for(auto & elem : this->pickups_)
-        {
-            if ((elem)->isEnabled())
+        for(CollectiblePickup* pickup : this->pickups_)
+        {
+            if (pickup->isEnabled())
                 ++numPickupsEnabled;
-            if ((elem)->isUsed())
+            if (pickup->isUsed())
                 ++numPickupsInUse;
         }
@@ -146,10 +146,10 @@
 
         // Change the PickupCarrier for all Pickupables this PickupCollection consists of.
-        for(auto & elem : this->pickups_)
+        for(CollectiblePickup* pickup : this->pickups_)
         {
             if(this->getCarrier() == nullptr)
-                (elem)->setCarrier(nullptr);
+                pickup->setCarrier(nullptr);
             else
-                (elem)->setCarrier(this->getCarrier()->getTarget(elem));
+                pickup->setCarrier(this->getCarrier()->getTarget(pickup));
         }
     }
@@ -186,7 +186,7 @@
         // If at least all the enabled pickups of this PickupCollection are no longer picked up.
         bool isOnePickupEnabledAndPickedUp = false;
-        for(auto & elem : this->pickups_)
-        {
-            if ((elem)->isEnabled() && (elem)->isPickedUp())
+        for(CollectiblePickup* pickup : this->pickups_)
+        {
+            if (pickup->isEnabled() && pickup->isPickedUp())
             {
                 isOnePickupEnabledAndPickedUp = true;
@@ -208,7 +208,7 @@
     bool PickupCollection::isTarget(const PickupCarrier* carrier) const
     {
-        for(const auto & elem : this->pickups_)
-        {
-            if(!carrier->isTarget(elem))
+        for(CollectiblePickup* pickup : this->pickups_)
+        {
+            if(!carrier->isTarget(pickup))
                 return false;
         }
Index: /code/branches/cpp11_v2/src/modules/pickup/PickupManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/PickupManager.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/pickup/PickupManager.cc	(revision 10916)
@@ -91,6 +91,6 @@
 
         // Destroying all the PickupInventoryContainers that are still there.
-        for(auto & elem : this->pickupInventoryContainers_)
-            delete elem.second;
+        for(auto& mapEntry : this->pickupInventoryContainers_)
+            delete mapEntry.second;
         this->pickupInventoryContainers_.clear();
 
Index: /code/branches/cpp11_v2/src/modules/pickup/items/MetaPickup.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pickup/items/MetaPickup.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/pickup/items/MetaPickup.cc	(revision 10916)
@@ -118,7 +118,6 @@
                 std::set<Pickupable*> pickups = carrier->getPickups();
                 // Iterate over all Pickupables of the PickupCarrier.
-                for(auto pickup : pickups)
+                for(Pickupable* pickup : pickups)
                 {
-                    
                     if(pickup == nullptr || pickup == this)
                         continue;
Index: /code/branches/cpp11_v2/src/modules/pong/Pong.cc
===================================================================
--- /code/branches/cpp11_v2/src/modules/pong/Pong.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/modules/pong/Pong.cc	(revision 10916)
@@ -145,10 +145,10 @@
 
             // If one of the bats is missing, create it. Apply the template for the bats as specified in the centerpoint.
-            for (auto & elem : this->bat_)
+            for (WeakPtr<orxonox::PongBat>& bat : this->bat_)
             {
-                if (elem == nullptr)
+                if (bat == nullptr)
                 {
-                    elem = new PongBat(this->center_->getContext());
-                    elem->addTemplate(this->center_->getBattemplate());
+                    bat = new PongBat(this->center_->getContext());
+                    bat->addTemplate(this->center_->getBattemplate());
                 }
             }
@@ -211,11 +211,11 @@
     {
         // first spawn human players to assign always the left bat to the player in singleplayer
-        for (auto & elem : this->players_)
-            if (elem.first->isHumanPlayer() && (elem.first->isReadyToSpawn() || this->bForceSpawn_))
-                this->spawnPlayer(elem.first);
+        for (auto& mapEntry : this->players_)
+            if (mapEntry.first->isHumanPlayer() && (mapEntry.first->isReadyToSpawn() || this->bForceSpawn_))
+                this->spawnPlayer(mapEntry.first);
         // now spawn bots
-        for (auto & elem : this->players_)
-            if (!elem.first->isHumanPlayer() && (elem.first->isReadyToSpawn() || this->bForceSpawn_))
-                this->spawnPlayer(elem.first);
+        for (auto& mapEntry : this->players_)
+            if (!mapEntry.first->isHumanPlayer() && (mapEntry.first->isReadyToSpawn() || this->bForceSpawn_))
+                this->spawnPlayer(mapEntry.first);
     }
 
